Package org.apache.lucene.search.similarities

# Class IndependenceStandardized

java.lang.Object
org.apache.lucene.search.similarities.Independence
org.apache.lucene.search.similarities.IndependenceStandardized

public class IndependenceStandardized extends Independence
Standardized measure of distance from independence

Described as: "good at tasks that require high recall and high precision, especially against short queries composed of a few words as in the case of Internet searches"

WARNING: This API is experimental and might change in incompatible ways in the next release.

## Constructor Summary

Constructors
Constructor
Description
`IndependenceStandardized()`
Sole constructor.

## Method Summary

Modifier and Type
Method
Description
`double`
`score(double freq, double expected)`
Computes distance from independence
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndependenceStandardized

public IndependenceStandardized()
Sole constructor.

## Method Details

### score

public double score(double freq, double expected)
Description copied from class: `Independence`
Computes distance from independence

Specified by:
  `score` in class `Independence`
Parameters:
  `freq` - actual term frequency
  `expected` - expected term frequency

### toString

public String toString()

Specified by:
  `toString` in class `Independence`